> ## Documentation Index
> Fetch the complete documentation index at: https://specbeeconsultingservices.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# GET Teams

> Retrieves the list of teams for the company.



## OpenAPI

````yaml get /platform/api/teams
openapi: 3.0.0
info:
  title: API Reference
  version: '1.0'
  contact:
    name: Rippling Support
    email: support@rippling.com
  license:
    name: MIT
  description: >-
    Using Rippling's API requires either an API key or an access token retrieved
    from an OAuth exchange. Each is tied to a single Rippling Company.


    If you are a partner building an integration to Rippling,you can use
    [Rippling's Installation
    Guide](https://developer.rippling.com/docs/rippling-api/fucwnbc121hiu-installation-guide)
    to learn how to retrieve an access token to start using Rippling APIs.


    If you are a customer, you can go
    [here](https://developer.rippling.com/docs/rippling-api/9rw6guf819r5f-introduction-for-customers)
    to learn create your API keys to start using Rippling APIs.


    ### Using the Interactive Documentation


    Rippling's Documentation Portal allows you to test the API endpoints
    directly within the documentation. To do so, provide your API key or Access
    Token as a header parameter with the form Authorization Bearer: Bearer.
  termsOfService: https://app.rippling.com/developer/tos
servers:
  - url: https://api.rippling.com
    description: Production
security:
  - Token: []
tags:
  - name: A. Companies
  - name: B. Employees
  - name: C. Payroll
  - name: D. 401k
  - name: F. Groups
  - name: G. SAML
  - name: E. Current User
  - name: H. ATS
  - name: I. Application Management
  - name: J. Reports
  - name: Deprecated
paths:
  /platform/api/teams:
    parameters: []
    get:
      tags:
        - A. Companies
      summary: GET Teams
      description: Retrieves the list of teams for the company.
      operationId: get-teams
      parameters:
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/offset'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Team'
              examples:
                Success:
                  value:
                    - name: Applications
                      id: 5ee6c69bbc3bc7293a217ff2
                      parent: null
                    - name: Identity
                      id: 5ee6c6a2fa9c4e3d71cc32d7
                      parent: null
                    - name: Hardware
                      id: 5ee6c6a7bc3bc7293a217ff6
                      parent: null
                    - name: Payroll
                      id: 5ee6c6abbc3bc72c3f6b88ef
                      parent: null
      security:
        - Token: []
components:
  parameters:
    limit:
      name: limit
      in: query
      description: Sets a limit on the returned values
      schema:
        type: integer
    offset:
      name: offset
      in: query
      description: Offsets the returned values
      schema:
        type: integer
  schemas:
    Team:
      title: Team
      type: object
      x-examples:
        Team 1:
          id: Team 1
          name: 5da93c1fa4572b29a5511544
          parent: 5da93c1fa4572b29a5511544
      description: A team is a self-defined group of employees within Rippling.
      x-tags:
        - Models
      properties:
        id:
          type: string
          description: The identifier of the team.
        name:
          type: string
          description: The name of the team.
        parent:
          type: string
          nullable: true
          description: The parent team (if this team is a subteam within a larger team).
  securitySchemes:
    Token:
      type: http
      scheme: bearer

````